<?
//script para inscribir alumnos preinscritos
include("../fnc.php");
enlinea_a();

switch($tipo_trn){

case "Inscribir":
     if(!$txtgrado){alert("Por favor seleccione un grado de estudio","$goback");}

     $qgral=mysql_query("select * from general where id = 1");
     $igral=mysql_fetch_array($qgral);
     $nextc=$igral[ciclo_inscripcion]+1;

     $sqlc="select max(carnet) as ultimo from alumnos where carnet>{$igral[ciclo_inscripcion]}0000 and carnet<$nextc"."0000 having ultimo";
     $qcarnet=mysql_query($sqlc);

     if(mysql_num_rows($qcarnet)==0){
      $new_carnet=$igral[ciclo_inscripcion]."0001";
     }else{
      $icarnet=mysql_fetch_array($qcarnet);
      $new_carnet=$icarnet[ultimo]+1;
     }

     $qgrado=mysql_query("select * from grados where id = $txtgrado");
     $igrado=mysql_fetch_array($qgrado);

     $jornada=$igrado[jornada];
     $nivel=$igrado[nivel];
     
     //$clave=substr($new_carnet,-4);
     //$eclave=base64_encode($clave);
     $clave=base64_encode("{$txtfny}{$txtfnm}{$txtfnd}");

     $sql="insert into alumnos
           set
           carnet='$new_carnet',
           jornada='$jornada',
           year_estudio='$txtyear_estudio',
           grado_estudio='$txtgrado',
           nivel_estudio='$nivel',
           clave_web='$eclave',
           clave='$eclave',
           seccion='$txtseccion',
           activo='S',
           plan_pago='$txtplanpago',
           nombre='$txtnombre',
           apellido='$txtapellido',
           dcalle_avenida='$txtdcalleavenida',
           dnumero_casa='$txtdnumcasa',
           dzona='$txtdzona',
           dcolonia='$txtdcolonia',
           dmunicipio='$txtdmunicipio',
           ddepto='$txtddepto',
           tel_casa='$txttelefono',
           tel_movil='$txttelefonom',
           sexo='$txtsexo',
           lugar_nacimiento='$txtlugarnac',
           fecha_nacimiento='$txtfny-$txtfnm-$txtfnd',
           religion='$txtreligion',
           mail='$txtmail',
           tipo_sangre='$txttiposangre',
           padre_nombre='$txtpadrenombre',
           padre_direccion='$txtpadredireccion',
           padre_telefono='$txtpadretelefono',
           padre_telefonom='$txtpadretelefonom',
           padre_lugartrabajo='$txtpadrelugartrabajo',
           padre_teltrabajo='$txtpadretelefonotrab',
           padre_mail='$txtpadremail',
           madre_nombre='$txtmadrenombre',
           madre_direccion='$txtmadredireccion',
           madre_telefono='$txtmadretelefono',
           madre_telefonom='$txtmadretelefonom',
           madre_lugartrabajo='$txtmadrelugartrabajo',
           madre_teltrabajo='$txtmadretelefonotrab',
           madre_mail='$txtmadremail',
           enc_parentesco='$txtencparentesco',
           enc_cedula='$txtenccedula',
           enc_cedulaextendidaen='$txtencextendidaen',
           enc_nombre='$txtencnombre',
           enc_direccion='$txtencdireccion',
           enc_telefono='$txtenctelefono',
           enc_telefonom='$txtenctelefonom',
           enc_lugartrabajo='$txtenclugartrabajo',
           enc_teltrabajo='$txtenctelefonotrab',
           enc_mail='$txtencmail',
           emg_avisara='$txtemgnombre',
           emg_direccion='$txtemgdireccion',
           emg_telefono='$txtemgtelefono',
           emg_telefonom='$txtemgtelefonom',
           emg_lugartrabajo='$txtemglugartrabajo',
           emg_teltrabajo='$txtemgtelefonotrab',
           emg_parentesco='$txtemgparentesco',
           bus='$txtbus',
           sarampion='$txtsarampion',
           hepatitis='$txthepatitis',
           laringitis='$txtlaringitis',
           paperas='$txtpaperas',
           varicela='$txtvaricela',
           rubeola='$txtrubeola',
           amigdalitis='$txtamigdalitis',
           meningitis='$txtmeningitis',
           ningunaenfermedad='$txtningunaenfermedad',
           otraenfermedad='$txtotraenfermedad',
           al_huevo='$txthuevo',
           al_humedad='$txthumedad',
           al_aspirina='$txtaspirina',
           al_frutas='$txtfrutas',
           al_grama='$txtgrama',
           al_chocolate='$txtchocolate',
           al_leche='$txtleche',
           al_polvo='$txtpolvo',
           al_antibiotico='$txtantibiotico',
           al_ninguna='$txtningunaalergia',
           otraalergia='$txtotraalergia',
           md_donafen='$txtdonafen',
           md_neobol='$txtneobol',
           md_acetaminofen='$txtacetaminofen',
           md_milanta='$txtmilanta',
           md_peptobismol='$txtpeptobismol',
           md_loratadina='$txtloratadina',
           md_aguaoxigenada='$txtaguaoxigenada',
           med_nombre='$txtnombremedico',
           med_direccion='$txtmedicodireccion',
           med_telefono='$txtmedicotelefono',
           med_movil='$txtmedicomovil',
           med_beeper='$txtmedicobeeper',
           med_hospital='$txthospital',
           med_hospitaldireccion='$txthospitaldireccion',
           med_hospitaltelefono='$txthospitaltelefonos',
           med_servicioemg='$txtservicioemg',
           med_emgempresa='$txtemgempresa',
           med_emgempresatelefono='$txtemgempresatelefono',
           med_emgempresaafiliacion='$txtemgempresaafiliacion',
           factura_nombre='$txtfacturanombre',
           factura_direccion='$txtfacturadireccion',
           factura_nit='$txtfacturanit'";

          $res=mysql_query($sql);
          if(!$res){
           echo mysql_error();
           exit();
          }else{
            $id_p=dec($idp);
            $upd=mysql_query("update preinscripciones set inscrito = 'S' where id = $id_p");

            if($txtsexo=="M"){
             $sexo="masculino";
            }
            if($txtsexo=="F"){
             $sexo="femenino";
            }
            
            if($txtplanpago=="PG"){
             //CARGOS DE INSCRIPCION
                  $sql="select * from grados where id='$txtgrado'";
                  $qcargosgrado=mysql_query($sql);
                  $icargo=mysql_fetch_array($qcargosgrado);
                  
                  $sqlins="insert into cp_cargos
                           set
                           carnet='$new_carnet',
                           descripcion='Inscripción ciclo escolar $txtyear_estudio',
                           valor='{$icargo[vinscripcion]}',
                           saldo='{$icargo[vinscripcion]}',
                           fecha_cargo='$txtyear_estudio-01-08',
                           year='$txtyear_estudio',
                           tipo='INSCR',
                           usuario='$uuser',
                            mes='1'";
                    //echo $sqlins."<hr>"; 
                    $ins=mysql_query($sqlins);
                    if(!$ins){echo "MYSQL HA DICHO: ".mysql_error();}             
             // FIN CARGOS DE INSCRIPCION
  
             // CARGOS DE MENSUALIDADES            
             $sql="select * from grados where id='$txtgrado'";
             $qcargosgrado=mysql_query($sql);
              while($icargo=mysql_fetch_array($qcargosgrado)){
              for($n=1;$n<=12;$n++){
                $cmes="m$n";
                if($icargo[$cmes]=="S"){
                  $sqlins="insert into cp_cargos
                           set
                           carnet='$new_carnet',
                           descripcion='Servicios Educativos ".mes_letras($n)."',
                           valor='{$icargo[vmensualidad]}',
                           saldo='{$icargo[vmensualidad]}',
                           fecha_cargo='$txtyear_estudio-$n-08',
                           year='$txtyear_estudio',
                           tipo='ME',
                           usuario='$uuser',
                           mes='$n'";
                    //echo $sqlins."<hr>"; 
                    $ins=mysql_query($sqlins);
                    if(!$ins){echo "MYSQL HA DICHO: ".mysql_error();}
                }
              }
             }
             //FIN CARGOS DE MENSUALIDADES
             
             //CARGOS GENERALES DEL GRADO
               
                  $sql="select * from cp_cargosgenerales where grado='$txtgrado'";
                  $qcargosgrado=mysql_query($sql);
                  
                  while($icargo=mysql_fetch_array($qcargosgrado)){
                   for($i=1;$i<=12;$i++){
                    $tmp="m$i";
                    $dia=$icargo[dia];
                   
                    if($icargo[$tmp]=="S"){
                       if($icargo[$sexo]!="S"){continue;}
                       $sqlins="insert into cp_cargos
                                set
                                carnet='$new_carnet',
                                descripcion='{$icargo[descripcion]}',
                                valor='{$icargo[valor]}',
                                saldo='{$icargo[valor]}',
                                fecha_cargo='$txtyear_estudio-$i-$dia',
                                year='$txtyear_estudio',
                                tipo='{$icargo[codigo]}',
                                usuario='$uuser',
                                mes='$i'";
                         //echo $sqlins."<hr>"; 
                         $ins=mysql_query($sqlins);
                         if(!$ins){echo "MYSQL HA DICHO: ".mysql_error();}
                    }
                   }
                  }
             // FIN CARGOS GENERALES DEL GRADO
          }else{
                 //AGREGAR CARGOS DEL PLAN DE PAGO
                  $sql="select * from cp_det_planesdepagos where plan_pago='$txtplanpago'";
                  $qcargosgrado=mysql_query($sql);
                  
                  while($icargo=mysql_fetch_array($qcargosgrado)){
                   if(!empty($icargo[descripcion_ad])){
                         $icargo[descripcion] = $icargo[descripcion]." ".$icargo[descripcion_ad];
                   }
                   for($i=1;$i<=12;$i++){
                    $tmp="m$i";
                    $dia=$icargo[dia];
                   
                    if($icargo[$tmp]=="S"){
                       if($icargo[$sexo]!="S"){continue;}    
                       $sqlins="insert into cp_cargos
                                set
                                carnet='$new_carnet',
                                descripcion='{$icargo[descripcion]}',
                                valor='{$icargo[valor]}',
                                saldo='{$icargo[valor]}',
                                fecha_cargo='$txtyear_estudio-$i-$dia',
                                year='$txtyear_estudio',
                                tipo='{$icargo[codigo]}',
                                usuario='$uuser',
                                mes='$i'";
                         //echo $sqlins."<hr>"; 
                       $ins=mysql_query($sqlins);
                       if(!$ins){echo "MYSQL HA DICHO: ".mysql_error();}
                    } // fin si aplica para el mes actual
                   }// fin del ciclo de los meses del año
                  }//fin del ciclo de los cargos
                 // FIN CARGOS GENERALES DEL GRADO 
          }
            alert("Al alumno(a) $apellidos $nombres\\nse le asignó el carné No. $new_carnet","frm_alumno.php?idalumno=$new_carnet");
          }//fin si se insertó el registro
  break;

case "Re-Inscribir":

//if(!$txtplanpago){alert("Por favor seleccione un plan de pago","$goback");}
if(!$txtgrado){alert("Por favor seleccione un grado de estudio","$goback");}
if(!$txtcarnet){alert("Parámetros incorrectos, falta No. de Carné","$goback");}

$qgral=mysql_query("select * from general where id = 1");
$infog=mysql_fetch_array($qgral);
$qinfo=mysql_query("select * from alumnos where carnet='$txtcarnet'");
$info=mysql_fetch_array($qinfo);
if(empty($info['sexo'])){alert("Ingrese el sexo del alumno(a)","frm_alumno.php?idalumno=$txtcarnet");}

if($txtyear_estudio == $info[year_estudio]){
  alert("El alumno ya está inscrito para el ciclo $infog[ciclo_inscripcion]","frm_inscribir_alumnoi.php?idp=".enc($info[carnet]));
}


   $qgrado=mysql_query("select * from grados where id = $txtgrado");
   $igrado=mysql_fetch_array($qgrado);
   
   $jornada=$igrado[jornada];
   $nivel=$igrado[nivel];
   $clave=substr($new_carnet,-4);
   $eclave=base64_encode($clave);

   $new_carnet=$txtcarnet;

   if($info[year_estudio]==0){
     $sql="update alumnos set
           jornada='$jornada',
           plan_pago='$txtplanpago',
           year_estudio='$txtyear_estudio',
           grado_estudio='$txtgrado',
           nivel_estudio='$nivel',
           seccion='$txtseccion'
           where carnet='$txtcarnet'";
   }else{
     $sql="update alumnos set
           reinscrip_jornada='$jornada',
           reinscrip_planpago='$txtplanpago',
           reinscrip_year='$txtyear_estudio',
           reinscrip_grado='$txtgrado',
           reinscrip_nivel='$nivel',
           reinscrip_seccion='$txtseccion'
           where carnet='$txtcarnet'";
   }

     $res=mysql_query($sql);
     if(!$res){
          echo mysql_error();
          exit();
     }
            $txtsexo=$info[sexo];

            if($txtsexo=="M"){
             $sexo="masculino";
            }
            if($txtsexo=="F"){
             $sexo="femenino";
            }

            if($txtplanpago=="PG"){
            //CARGOS DE INSCRIPCION
                 $sql="select * from grados where id='$txtgrado'";
                 $qcargosgrado=mysql_query($sql);
                 $icargo=mysql_fetch_array($qcargosgrado);
                 
                 $sqlins="insert into cp_cargos
                          set
                          carnet='$new_carnet',
                          descripcion='Inscripción ciclo escolar $txtyear_estudio',
                          valor='{$icargo[vinscripcion]}',
                          saldo='{$icargo[vinscripcion]}',
                          fecha_cargo='$txtyear_estudio-01-08',
                          year='$txtyear_estudio',
                          tipo='INSCR',
                          usuario='$uuser',
                          mes='1'";
                   //echo $sqlins."<hr>"; 
                   $ins=mysql_query($sqlins);
                   if(!$ins){echo "MYSQL HA DICHO: ".mysql_error();}             
            // FIN CARGOS DE INSCRIPCION

            // CARGOS DE MENSUALIDADES            
            $sql="select * from grados where id='$txtgrado'";
            $qcargosgrado=mysql_query($sql);
            while($icargo=mysql_fetch_array($qcargosgrado)){
             for($n=1;$n<=12;$n++){
               $cmes="m$n";
               if($icargo[$cmes]=="S"){
                 $sqlins="insert into cp_cargos
                          set
                          carnet='$new_carnet',
                          descripcion='Servicios Educativos ".mes_letras($n)."',
                          valor='{$icargo[vmensualidad]}',
                          saldo='{$icargo[vmensualidad]}',
                          fecha_cargo='$txtyear_estudio-$n-08',
                          year='$txtyear_estudio',
                          tipo='ME',
                          usuario='$uuser',
                          mes='$n'";
                   //echo $sqlins."<hr>"; 
                   $ins=mysql_query($sqlins);
                   if(!$ins){echo "MYSQL HA DICHO: ".mysql_error();}
               }
             }
            }
            //FIN CARGOS DE MENSUALIDADES
            
            //CARGOS GENERALES DEL GRADO              
                 $sql="select * from cp_cargosgenerales where grado='$txtgrado'";
                 $qcargosgrado=mysql_query($sql);
                 
                 while($icargo=mysql_fetch_array($qcargosgrado)){
                  for($i=1;$i<=12;$i++){
                   $tmp="m$i";
                   $dia=$icargo[dia];
                  
                   if($icargo[$tmp]=="S"){
                      if($icargo[$sexo]!="S"){continue;}
                      $sqlins="insert into cp_cargos
                               set
                               carnet='$new_carnet',
                               descripcion='{$icargo[descripcion]}',
                               valor='{$icargo[valor]}',
                               saldo='{$icargo[valor]}',
                               fecha_cargo='$txtyear_estudio-$i-$dia',
                               year='$txtyear_estudio',
                               tipo='{$icargo[codigo]}',
                               usuario='$uuser',
                               mes='$i'";
                        //echo $sqlins."<hr>"; 
                        $ins=mysql_query($sqlins);
                        if(!$ins){echo "MYSQL HA DICHO: ".mysql_error();}
                   }
                  }
                 }
            // FIN CARGOS GENERALES DEL GRADO
            }else{
                 //AGREGAR CARGOS DEL PLAN DE PAGO
                  $sql="select * from cp_det_planesdepagos where plan_pago='$txtplanpago'";
                  $qcargosgrado=mysql_query($sql);
                  
                  while($icargo=mysql_fetch_array($qcargosgrado)){
                   if(!empty($icargo[descripcion_ad])){
                      $icargo[descripcion] = $icargo[descripcion]." ".$icargo[descripcion_ad];
                   }
                   for($i=1;$i<=12;$i++){
                    $tmp="m$i";
                    $dia=$icargo[dia];
                   
                    if($icargo[$tmp]=="S"){
                       if($icargo[$sexo]!="S"){continue;}
                       
                       $sqlins="insert into cp_cargos
                                set
                                carnet='$new_carnet',
                                descripcion='{$icargo[descripcion]}',
                                valor='{$icargo[valor]}',
                                saldo='{$icargo[valor]}',
                                fecha_cargo='$txtyear_estudio-$i-$dia',
                                year='$txtyear_estudio',
                                tipo='{$icargo[codigo]}',
                                usuario='$uuser',
                                mes='$i'";
                         //echo $sqlins."<hr>"; 
                       $ins=mysql_query($sqlins);
                       if(!$ins){echo "MYSQL HA DICHO: ".mysql_error();}
                    } // fin si aplica para el mes actual
                   }// fin del ciclo de los meses del año
                  }//fin del ciclo de los cargos
                 // FIN CARGOS GENERALES DEL GRADO 
            }
     alert("Alumno(a) re-inscrito con éxito","frm_alumno.php?idalumno=$new_carnet");
break;

case "App_Beca":
      $qalumno=mysql_query("select apellido, nombre, beca_matricula, beca_mensualidad from alumnos where carnet = '$txtalumno'");
      $info=mysql_fetch_array($qalumno);
      
      $sql="select * from cp_cargos where tipo = 'INSCR' and carnet='$txtalumno' and year = '$txtyear'";
      $qins=mysql_query($sql);
      
      while($infoi=mysql_fetch_array($qins)){
        if($infoi[saldo]>=$info[beca_matricula]){
          $sql2="update cp_cargos
                 set 
                 valor = valor - {$info[beca_matricula]},
                 saldo = saldo - {$info[beca_matricula]}
                 where carnet = '$txtcarnet'
                 and id = {$infoi[id]}";
          $beca_mat=mysql_query($sql2);
          
          if($info[beca_matricula]>0){
            $blog=mysql_query("insert into cp_becas
                               set carnet='$txtcarnet',
                               usuario = '$uuser',
                               fecha='$fechahora',
                               tipo_cargo='INSCR',
                               valor_descuento='{$info[beca_matricula]}',
                               year='{$infoi[year]}',
                               mes='{$infoi[mes]}',
                               id_cargo='{$infoi[id]}'");
          }
        }
      }
      
      
      $sql="select * from cp_cargos where tipo = 'ME' and carnet='$txtalumno' and year = '$txtyear'";
      $qins=mysql_query($sql);
      
      while($infoi=mysql_fetch_array($qins)){
        if($infoi[saldo]>=$info[beca_mensualidad]){
          $sql3="update cp_cargos
                 set 
                 valor = valor - {$info[beca_mensualidad]},
                 saldo = saldo - {$info[beca_mensualidad]}
                 where carnet = '$txtcarnet'
                 and id = {$infoi[id]}";
          
          $beca_men=mysql_query($sql3);
          
          if($info[beca_mensualidad]>0){
            $blog=mysql_query("insert into cp_becas
                               set carnet='$txtcarnet',
                               usuario = '$uuser',
                               fecha='$fechahora',
                               tipo_cargo='ME',
                               valor_descuento='{$info[beca_mensualidad]}',
                               year='{$infoi[year]}',
                               mes='{$infoi[mes]}',
                               id_cargo='{$infoi[id]}'");
          } 
        }
      }
      header("Location: ./rpt_stcta_alumno.php?txtnalumno=$txtcarnet&busqueda=1");
break;

default: header("Location: ./inicio.php");
}
?>
